%global pkgname sievelib
%global with_python3 1
%global commit e34fb546d2f0b151563f1e62dc56cbf805a16b97
%global date 20150629
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           python-%{pkgname}
Version:        0.8
Release:        5.%{date}git%{shortcommit}%{?dist}
Summary:        Client-side SIEVE library

Group:          Development/Languages
License:        MIT
URL:            https://github.com/tonioo/sievelib
Source:         https://github.com/tonioo/sievelib/archive/%{commit}/%{pkgname}-%{commit}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel 
BuildRequires:  python-setuptools
%if 0%{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%endif

%description
Client-side Sieve and Managesieve library written in Python.
* Sieve : An Email Filtering Language (RFC 5228)
* ManageSieve : A Protocol for Remotely Managing Sieve Scripts (RFC 5804)

%if 0%{?with_python3}
%package -n python3-sievelib
Summary:        Client-side SIEVE library
Group:          Development/Languages

%description -n python3-sievelib
Client-side Sieve and Managesieve library written in Python.
* Sieve : An Email Filtering Language (RFC 5228)
* ManageSieve : A Protocol for Remotely Managing Sieve Scripts (RFC 5804)
%endif

%prep
%setup -qn %{pkgname}-%{commit}
# remove bundled egg-info
rm -rf %{pkgname}.egg-info
%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif

%build
%{__python2} setup.py build
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif

%install
%{__python2} setup.py install --skip-build --root %{buildroot}
# Remove shebang from libraries
for lib in %{buildroot}%{python2_sitelib}/%{pkgname}/*.py; do
 sed '1{\@^#!/usr/bin/env python@d}' $lib > $lib.new &&
 touch -r $lib $lib.new &&
 mv $lib.new $lib
done
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
# Remove shebang from libraries
for lib in %{buildroot}%{python3_sitelib}/%{pkgname}/*.py; do
 sed '1{\@^#!/usr/bin/env python@d}' $lib > $lib.new &&
 touch -r $lib $lib.new &&
 mv $lib.new $lib
done
%endif

%files
%doc README.rst
%license COPYING
%{python2_sitelib}/%{pkgname}
%{python2_sitelib}/%{pkgname}-%{version}-py*.egg-info

%files -n python3-sievelib
%doc README.rst
%license COPYING
%{python3_sitelib}/%{pkgname}
%{python3_sitelib}/%{pkgname}-%{version}-py*.egg-info

%changelog
* Mon Jun 29 2015 Juan Orti Alcaine <jorti@fedoraproject.org> - 0.8-5.20150629gite34fb54
- Add python3 subpackage

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Apr 09 2015 Juan Orti Alcaine <jorti@fedoraproject.org> - 0.8-3
- Use license macro

* Wed Dec 03 2014 Juan Orti <jorti@fedoraproject.org> - 0.8-2
- Remove python shebang from libraries
- Change URL to GitHub
- Include license file

* Tue Dec 02 2014 Juan Orti <jorti@fedoraproject.org> - 0.8-1
- Spec file cleanup

* Sat May 24 2014 Didier Fabert <didier.fabert@gmail.com> 0.0.4-1
- Initial RPM release
